//
//  NotificationView.swift
//  forShip
//
//  Created by Mamoru Sugita on 2023/10/16.
//

import SwiftUI

struct NotificationView: View {
    var body: some View {
        VStack(spacing: 0){
            TitleView()
            
            NotificationContentView()
            
            Divider()
                .frame(height: 1)
                .background(ColorSet.LineColor04.color)
            
            Spacer()
        }
        .background(ColorSet.BackgroundPrimary.color)
    }
    
    struct TitleView: View {
        var body: some View {
            VStack {
                HStack {
                    Button{
                    }label: {
                    }
                    .disabled(true)
                    .frame(width: 48, height: 48)
                    
                    Spacer()
                    HStack(spacing: 0) {
                        Text("Notice")
                            .font(FontStyle.TitleL.font)
                            .foregroundColor(ColorSet.Body.color)
                    }
                    
                    Spacer()

                    Button{
                    }label: {
                    }
                    .disabled(true)
                    .frame(width: 48, height: 48)
                }
                .frame(height: 60)
                
                Divider()
                    .background(ColorSet.LineColor04.color)
            }
        }
    }
}

#Preview {
    NotificationView()
}
